Author Topic: access to layout without "CTAB"  (Read 154 times)

0 Members and 1 Guest are viewing this topic.

dgpuertas

  • Newt
  • Posts: 40
access to layout without "CTAB"
« on: May 09, 2019, 04:32:00 AM »
I need to insert a block in layout via ObjectDBX
I use ObjectDBX Wrapper (many many thanks lee mac), works fine.

But I cant use system variables to put CTAB in a different layout via ObjectDBX

How i change the layout to use
(vla-InsertBlock (vla-get-paperspace acdoc)

in different layouts.

Thanks and sorry about my engish.

roy_043

  • Water Moccasin
  • Posts: 1694
  • BricsCAD 18
Re: access to layout without "CTAB"
« Reply #1 on: May 09, 2019, 06:35:34 AM »
Code - Auto/Visual Lisp: [Select]
  1. (setq spc (vla-get-block (vla-item (vla-get-layouts docObj) "layoutName")))
  2. (vla-insertblock spc ...)
« Last Edit: May 09, 2019, 06:39:39 AM by roy_043 »

dgpuertas

  • Newt
  • Posts: 40
Re: access to layout without "CTAB"
« Reply #2 on: May 09, 2019, 07:27:09 AM »
Thanks a lot, roy
I didint know block property for layout object :wink:
Works fine

Thanks